﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

namespace WCFServiceWebRole1
{
   public class Service1 : IService1
    {
        List<Competitor> myCompetitors = new List<Competitor>();

        public string[] getACompetitor(string custID)
        {
            generateCompeteData();

            string[] returnCompete = new string[4];

            var returnListOfData = (from compete in myCompetitors
                                    where  compete.svcCompeteID  == custID
                                    select compete).ToArray();

            foreach (var competeRecord in returnListOfData)
            {
                returnCompete[0] = competeRecord.svcCompeteID;
                returnCompete[1] = competeRecord.svcCompeteName;
                returnCompete[2] = competeRecord.svcCompeteFY09;
                returnCompete[3] = competeRecord.svcCompeteFY10; 

            };

            return returnCompete;
        }

        public List<Competitor> getAllCompetitors()
        {
            generateCompeteData();
            List<Competitor> returnlistOfCompetitors = new List<Competitor>();

            var returnListOfData = (from customer in myCompetitors
                                    select customer).ToArray();

            foreach (var compete in returnListOfData)
            {
                Competitor tempCompeteRecord = new Competitor();
                tempCompeteRecord.svcCompeteID = compete.svcCompeteID;
                tempCompeteRecord.svcCompeteName = compete.svcCompeteName;
                tempCompeteRecord.svcCompeteFY09 = compete.svcCompeteFY09;
                tempCompeteRecord.svcCompeteFY10 = compete.svcCompeteFY10;
                returnlistOfCompetitors.Add(tempCompeteRecord);
            };

            return returnlistOfCompetitors;
        }

        private void generateCompeteData()
        {
            Competitor compete1 = new Competitor();
            compete1.svcCompeteID = "BR-CAN-8909";
            compete1.svcCompeteName = "Bauer - Canada";
            compete1.svcCompeteFY09 = "$45,093,028.00";
            compete1.svcCompeteFY10 = "$50,493,820.00";
            myCompetitors.Add(compete1);

            Competitor compete2 = new Competitor();
            compete2.svcCompeteID = "NK-USA-8665";
            compete2.svcCompeteName = "Nike - USA";
            compete2.svcCompeteFY09 = "$50,492,331.00";
            compete2.svcCompeteFY10 = "$52,019,828.00";
            myCompetitors.Add(compete2);

            Competitor compete3 = new Competitor();
            compete3.svcCompeteID = "GF-EU-9912";
            compete3.svcCompeteName = "Graf - Europe";
            compete3.svcCompeteFY09 = "$24,403,920.00";
            compete3.svcCompeteFY10 = "$24,001,926.00";
            myCompetitors.Add(compete3);

            Competitor compete4 = new Competitor();
            compete4.svcCompeteID = "CCM-USA-8843";
            compete4.svcCompeteName = "CCM Hockey";
            compete4.svcCompeteFY09 = "$12,209,105.00";
            compete4.svcCompeteFY10 = "$10,092,813.00";
            myCompetitors.Add(compete4);

        }
    }
}
